DISK_BLOCK_EVENTS(9)

NAME
disk_block_events - block and flush disk event checking

SYNOPSIS

void disk_block_events(struct gendisk * disk);

ARGUMENTS

disk
    disk to block events for

DESCRIPTION

On return from this function, it is guaranteed that event checking isn't in progress and won't happen until unblocked by disk_unblock_events. Events blocking is counted and the actual unblocking happens after the matching number of unblocks are done.

Note that this intentionally does not block event checking from disk_clear_events.

CONTEXT

Might sleep.

COPYRIGHT